ArithmeticOISRateHelper Class Reference

Rate helper for bootstrapping over Overnight Indexed Swap rates. More...

`#include <ql/experimental/averageois/arithmeticoisratehelper.hpp>`

Inheritance diagram for ArithmeticOISRateHelper:
[legend]

## Public Member Functions

ArithmeticOISRateHelper (Natural settlementDays, const Period &tenor, Frequency fixedLegPaymentFrequency, const Handle< Quote > &fixedRate, const boost::shared_ptr< OvernightIndex > &overnightIndex, Frequency overnightLegPaymentFrequency, const Handle< Quote > &spread, Real meanReversionSpeed=0.03, Real volatility=0.00, bool byApprox=false, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())

RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
inspectors
boost::shared_ptr< ArithmeticAverageOIS > | swap () const
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

void | initializeDates ()

## Protected Attributes

Natural | settlementDays_
Period | tenor_
boost::shared_ptr< OvernightIndex > | overnightIndex_
boost::shared_ptr< ArithmeticAverageOIS > | swap_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
Handle< YieldTermStructure > | discountHandle_
RelinkableHandle< YieldTermStructure > | discountRelinkableHandle_
Frequency | fixedLegPaymentFrequency_
Frequency | overnightLegPaymentFrequency_
Handle< Quote > | spread_
Real | mrs_
Real | vol_
bool | byApprox_
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Rate helper for bootstrapping over Overnight Indexed Swap rates.